Preview moving an item to another space and/or type (desk:read)
GET /api/desk/v1/items/{ref}/move-preview
Module: Desk · operationId: previewItemMove · Tag: Items · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
spaceId |
query | string | ||
typeId |
query | string | ||
status |
query | string | ||
ref |
path | string | yes | Item id or number |
Responses
- 200 Plan (
application/json)
Fields of the 200 answer:
confidential(boolean): The item is confidential after the movedroppedLabels(array of string): Labels the item loses with the movefromStatus(string): Current statushiddenFields(array of string): Kept but not shown by the target typemissingFields(array of string): Required fields of the target type that are emptyspaceId(string): Target spacestatusMapped(boolean): The status was mapped to another one of the target workflowtoStatus(string): Status in the target workflowtypeId(string): Target type
Example 200 answer:
{
"confidential": false,
"droppedLabels": [],
"fromStatus": "in_bearbeitung",
"hiddenFields": [
"cf.abschlussgrund"
],
"missingFields": [],
"spaceId": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c00",
"statusMapped": false,
"toStatus": "in_bearbeitung",
"typeId": "5d2e3f4a-6b7c-4d8e-9f0a-2b3c4d5e6f03"
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/desk/v1/items/string/move-preview' \
-H "Authorization: Bearer $ACCESS_TOKEN"